POST api/PBI_role/role
Request Information
URI Parameters
None.
Body Parameters
PBI_RoleViewModel| Name | Description | Type | Additional information |
|---|---|---|---|
| active | boolean |
None. |
|
| code | string |
Required |
|
| customer_ID | globally unique identifier |
None. |
|
| customerName | string |
None. |
|
| id | globally unique identifier |
None. |
|
| names | Dictionary of string [key] and string [value] |
Required |
|
| permissions | Collection of PBI_PermissionsViewModel |
Required |
|
| site_ID | globally unique identifier |
Required |
|
| siteName | string |
None. |
Request Formats
application/json, text/json
Sample:
{
"active": true,
"code": "sample string 2",
"customer_ID": "3631fcc1-ffe4-4ba7-ae5e-6306d4271e6d",
"customerName": "sample string 4",
"id": "6432eab2-814c-4eef-942e-3b61985a0dca",
"names": {
"sample string 1": "sample string 2",
"sample string 3": "sample string 4"
},
"permissions": [
{
"id": "b17b2f3c-c457-4294-b846-a603a7a570e0",
"active": true,
"foreign_ID": "427396b8-286e-440a-b9b1-c62d85c06300",
"foreign_Label": "sample string 3",
"type": 1
},
{
"id": "b17b2f3c-c457-4294-b846-a603a7a570e0",
"active": true,
"foreign_ID": "427396b8-286e-440a-b9b1-c62d85c06300",
"foreign_Label": "sample string 3",
"type": 1
}
],
"site_ID": "181cd51a-75d3-4075-8ec7-142d467e1195",
"siteName": "sample string 8"
}
application/xml, text/xml
Sample:
<PBI_RoleViewModel xmlns:i="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://schemas.datacontract.org/2004/07/EntityModel">
<active>true</active>
<code>sample string 2</code>
<customerName>sample string 4</customerName>
<customer_ID>3631fcc1-ffe4-4ba7-ae5e-6306d4271e6d</customer_ID>
<id>6432eab2-814c-4eef-942e-3b61985a0dca</id>
<names xmlns:d2p1="http://schemas.microsoft.com/2003/10/Serialization/Arrays">
<d2p1:KeyValueOfstringstring>
<d2p1:Key>sample string 1</d2p1:Key>
<d2p1:Value>sample string 2</d2p1:Value>
</d2p1:KeyValueOfstringstring>
<d2p1:KeyValueOfstringstring>
<d2p1:Key>sample string 3</d2p1:Key>
<d2p1:Value>sample string 4</d2p1:Value>
</d2p1:KeyValueOfstringstring>
</names>
<permissions>
<PBI_PermissionsViewModel>
<Active>true</Active>
<Foreign_ID>427396b8-286e-440a-b9b1-c62d85c06300</Foreign_ID>
<Foreign_Label>sample string 3</Foreign_Label>
<ID>b17b2f3c-c457-4294-b846-a603a7a570e0</ID>
<type>SiteCustomer</type>
</PBI_PermissionsViewModel>
<PBI_PermissionsViewModel>
<Active>true</Active>
<Foreign_ID>427396b8-286e-440a-b9b1-c62d85c06300</Foreign_ID>
<Foreign_Label>sample string 3</Foreign_Label>
<ID>b17b2f3c-c457-4294-b846-a603a7a570e0</ID>
<type>SiteCustomer</type>
</PBI_PermissionsViewModel>
</permissions>
<siteName>sample string 8</siteName>
<site_ID>181cd51a-75d3-4075-8ec7-142d467e1195</site_ID>
</PBI_RoleViewModel>
application/x-www-form-urlencoded
Sample:
Sample not available.
Response Information
Resource Description
globally unique identifierResponse Formats
application/json, text/json
Sample:
"303bb954-4270-4941-a274-c4be044d7e62"
application/xml, text/xml
Sample:
<guid xmlns="http://schemas.microsoft.com/2003/10/Serialization/">303bb954-4270-4941-a274-c4be044d7e62</guid>